package homework3_3.DogCompetition;

import java.util.Scanner;
/*
Переписать задачу 7 домашнего задания 2 часть 2 в стиле ООП.
● Нужно как минимум завести классы Dog и Participant.
● Нужно реализовать метод, определяющий трех победителей согласно
условию.
● Можно добавлять любые дополнительные методы и классы.
Условие задачи:
Раз в год Петя проводит конкурс красоты для собак. К сожалению, система
хранения участников и оценок неудобная, а победителя определить надо. В
первой таблице в системе хранятся имена хозяев, во второй - клички животных,
в третьей — оценки трех судей за выступление каждой собаки. Таблицы
связаны между собой только по индексу. То есть хозяин i-ой собаки указан в i-ой
строке первой таблицы, а ее оценки — в i-ой строке третьей таблицы. Нужно
помочь Пете определить топ 3 победителей конкурса.
На вход подается число N — количество участников конкурса. Затем в N
строках переданы имена хозяев. После этого в N строках переданы клички
собак. Затем передается матрица с N строк, 3 вещественных числа в каждой —
оценки судей. Победителями являются три участника, набравшие
максимальное среднее арифметическое по оценкам 3 судей. Необходимо
вывести трех победителей в формате “Имя хозяина: кличка, средняя оценка”.
Гарантируется, что среднее арифметическое для всех участников буде
 */

public class Main {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.println("Введите количество участников(не меннее трех):");
        int person = scanner.nextInt();
        DogСompetition dogСompetition = new DogСompetition();
        System.out.println("Ведите через Enter , имя участника и его питомца");

        for (int i = 0; i < person; i++) {
            dogСompetition.addParticipant();
        }

        System.out.println("Введите имя питомца , и оценки от троих рефери от 1 до 99");
        for (int i = 0; i < person; i++) {
            dogСompetition.refereeScore();

        }

        dogСompetition.bestThreeParticipant();


    }
}
